#!/bin/bash
set -e -x -o pipefail
export DEBIAN_FRONTEND='noninteractive'

apt-get update

apt-get install -y \
  apt-transport-https \
  ca-certificates \
  curl \
  git \
  gnupg-agent \
  python-dev \
  python-pip \
  python-virtualenv \
  ruby \
  ruby-dev \
  software-properties-common

curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo apt-key add -

add-apt-repository \
   "deb [arch=amd64] https://download.docker.com/linux/ubuntu \
   $(lsb_release -cs) \
   stable"

apt-get update

apt-get install -y docker-ce docker-ce-cli containerd.io

usermod -aG docker vagrant

curl -L "https://github.com/docker/compose/releases/download/1.25.4/docker-compose-$(uname -s)-$(uname -m)" -o /usr/local/bin/docker-compose

chmod +x /usr/local/bin/docker-compose

gem install sass

locale-gen pt_BR
locale-gen pt_BR.UTF-8

export LC_ALL="pt_BR.UTF-8"
export LC_CTYPE="pt_BR.UTF-8"

dpkg-reconfigure locales
